<?php
require_once('includes/config.php');
require_once('includes/functions/func.global.php');
require_once('includes/classes/class.template_engine.php');
require_once('includes/lang/lang_'.$config['lang'].'.php');

// Check if the script is installed
checkinstall($config);

// Connect to database
db_connect($config);

// Get page settings
$settings = get_settings('manuals.php',$config);

if(!isset($_GET['cmd']))
{
	$_GET['cmd'] = 'list';
}

if(!isset($_GET['p']))
{
	$_GET['p'] = '';
}

if(isset($_GET['page']))
{
	$_GET['page'] = 'index';
}


if($_GET['cmd'] == 'list')
{
	$manuals = array();
	
	$query2 = "SELECT manual_id,manual_title FROM ".$config['db']['pre']."manuals ORDER BY manual_title";
	$query_result2 = mysql_query($query2);
	while ($info2 = @mysql_fetch_array($query_result2))
	{
		$manuals[$info2['manual_id']]['id'] = $info2['manual_id'];
		$manuals[$info2['manual_id']]['title'] = $info2['manual_title'];
	}

	$page = new HtmlTemplate ('templates/' . $config['tpl_name'] . '/manuals_view.html');
	$page->SetParameter ('OVERALL_HEADER', create_header($config,$lang));
	$page->SetParameter ('SITE_TITLE', $config['site_title']);
	$page->SetLoop ('MANUALS', $manuals);
	$page->SetParameter ('OVERALL_FOOTER', create_footer($config,$lang));
	$page->CreatePageEcho($lang,$config);
}
elseif($_GET['cmd'] == 'view')
{
	// Get Manual Info
	$manual_info = mysql_fetch_row(mysql_query("SELECT manual_id,manual_title FROM ".$config['db']['pre']."manuals WHERE manual_id='".validate_input($_GET['i'])."' LIMIT 1"));
	
	if(!isset($manual_info[1]))
	{
		exit('Manual Not Found');
	}

	$pages = array();
	$pages2 = array();
	$parents = array();
	$sort = array();
	$count = 0;

	$query = "SELECT page_id,parent_id,page_title FROM ".$config['db']['pre']."manuals_pages WHERE manual_id='".validate_input($manual_info[0])."' ORDER BY sort DESC,page_title ASC";
	$query_result = mysql_query($query);
	while ($info = @mysql_fetch_array($query_result))
	{
		$pages[$info['parent_id']][$info['page_id']]['page_id'] = $info['page_id'];
		$pages[$info['parent_id']][$info['page_id']]['page_title'] = $info['page_title'];
		$pages[$info['parent_id']][$info['page_id']]['parent'] = $info['parent_id'];

		if(isset($parents[$info['parent_id']]))
		{
			$parents[$info['parent_id']]++;
		}
		else
		{
			$parents[$info['parent_id']] = 0;
		}
		
		if($info['parent_id'] == 0)
		{
			$sort[$count] = $info['page_id'];
			$count++;
		}
	}
	
	$count = 0;
	foreach ($sort as $key => $value)
	{
		$pages2[$count] = $pages[0][$value];
		unset($pages[0][$value]);
		$count++;
		
		if(isset($pages[$value]))
		{
			$pages2[($count-1)]['cats'] = count($pages[$value]);
			foreach ($pages[$value] as $key2 => $value2)
			{
				$pages2[$count] = $value2;
				unset($pages[$value][$key2]);
				$count++;
			}
		}
	}
	
	foreach ($pages as $key => $value)
	{
		foreach ($value as $key2 => $value2)
		{
			$pages2[$count] = $value2;
			$count++;
			unset($pages[$key][$key2]);
		}
	}
	
	$page_body = '';
	$page_title = '';
	
	if($_GET['p'])
	{
		$query = "SELECT page_id,page_title,page_body FROM ".$config['db']['pre']."manuals_pages WHERE page_id='".validate_input($_GET['p'])."' LIMIT 1";
		$query_result = mysql_query($query);
		$info = mysql_fetch_array($query_result);
		
		if(isset($info['page_body']))
		{
			$page_title = stripslashes($info['page_title']);
			$page_body = stripslashes($info['page_body']);
		}
	}

	// Display Manual
	if($_GET['p'])
	{
		$page = new HtmlTemplate ("templates/" . $config['tpl_name'] . "/manuals_page.html");
		$page->SetParameter ('OVERALL_HEADER', create_header($config,$lang));
		$page->SetParameter ('MANUAL_ID',stripslashes($manual_info[0]));
		$page->SetParameter ('MANUAL_TITLE',stripslashes($manual_info[1]));
		$page->SetParameter ('SITE_TITLE', $config['site_title']);
		$page->SetParameter ('PAGE_TITLE', $page_title);
		$page->SetParameter ('PAGE_BODY', $page_body);
		$page->SetLoop ('PAGES',$pages2);
		$page->SetParameter ('OVERALL_FOOTER', create_footer($config,$lang));
		$page->CreatePageEcho($lang,$config);
	}
	else
	{
		$page = new HtmlTemplate ("templates/" . $config['tpl_name'] . "/manuals_index.html");
		$page->SetParameter ('OVERALL_HEADER', create_header($config,$lang));
		$page->SetParameter ('MANUAL_ID',stripslashes($manual_info[0]));
		$page->SetParameter ('MANUAL_TITLE',stripslashes($manual_info[1]));
		$page->SetParameter ('SITE_TITLE', $config['site_title']);
		$page->SetLoop ('PAGES',$pages2);
		$page->SetParameter ('OVERALL_FOOTER', create_footer($config,$lang));
		$page->CreatePageEcho($lang,$config);
	}
}
?>